<?php

namespace Teknisa\MAN\Services;

use Zeedhi\Framework\DependencyInjection\InstanceManager;


class SMTPTokenService {



	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager) {
		$this->entityManager = $entityManager;
	}

	public function getSMTP(){
		return $this->entityManager->getConnection()->fetchAll(self::GET_SMTPCLIENT);
	}
	
	public function getToken(){
		return $this->entityManager->getConnection()->fetchAll(self::GET_TOKEN);
	}

	public function saveToken($row){
		$params = array(
			":DSREFTOKENGOOGLE" => $row,
			
		);
		$this->entityManager->getConnection()->executeQuery(self::updateToken, $params);

	}
	
	
	const GET_SMTPCLIENT = "
		SELECT DSCLIENTID, DSCLIENTSECRET, URI
		FROM PARAMGERAL
	";
	
	const GET_TOKEN = "
		SELECT DSREFTOKENGOOGLE FROM PARAMGERAL
	";
	
	const updateToken = "
	UPDATE PARAMGERAL 
	    SET DSREFTOKENGOOGLE = :DSREFTOKENGOOGLE
	    WHERE CDPARGERAL = 0001"
    ;
    
    
}